.card {
  display: flex;
  flex-direction: column;
  height: 100%;
}
.image-container {
  position: relative;
  width: 100%;/* Full width of the parent container */
  height: 100%;
  overflow: hidden; /* Ensures no overflow */

}
.card:hover {
  transform: translateY(-5px); /* Lift card slightly on hover */
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2); /* Enhance shadow on hover */
}
.text-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: rgb(8, 8, 8);
  text-align: center;
  padding: 20px; /* Optional: Add padding */
}
.custom-card-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block; /* Removes extra space below images */
  overflow: hidden; /* Ensures no overflow */
  border-radius: 5px; /* curve the edges to 20%radius*/
  margin-top: 1px;
  transition: transform 0.3s ease, box-shadow 0.3s ease; /* Add hover effects */
  
}
 
.card-custom {
  max-height: 90vh;
}
.body {
    background-color: #e92174; /* Very light sky blue */
    flex:1;
}
.flicker-text-btn {
  animation: flicker 1.5s infinite;
  color: red;
  font-weight: bold;
  text-decoration: none;
}

@keyframes flicker {
  0% { opacity: 1; }
  10% { opacity: 0.6; }
  20% { opacity: 1; }
  30% { opacity: 0.4; }
  40% { opacity: 1; }
  50% { opacity: 0.7; }
  60% { opacity: 1; }
  100% { opacity: 1; }
}

/* Land Search Form styling */
.form-inline .form-control {
  display: inline-block;
  width: auto;
  vertical-align: middle;
}
/*Land Search Form styling*/
/* Responsive adjustments */
@media (max-width: 768px) {
  .form-inline .col-auto {
    width: 100%;
    margin-bottom: 10px;
  }
}

